Name:           subsurface
Summary:        Simple Dive Log Program
Version:        5.0.10
Release:        %mkrel 2
License:        GPLv2
Group:          Sciences/Other
URL:            https://subsurface-divelog.org/
Source0:        https://subsurface-divelog.org/downloads/Subsurface-%{version}.tgz
BuildRequires:  divecomputer-subsurface-devel >= %{version}
BuildRequires:  qtlocation-plugin-googlemaps

BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  desktop-file-utils
BuildRequires:  asciidoc
BuildRequires:  cmake >= 2.6

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Positioning)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5QuickTest)
BuildRequires:  pkgconfig(Qt5Bluetooth)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Location)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
# lrelease
BuildRequires:  cmake(Grantlee5)

Requires:       qtlocation5
Requires:       qtpositioning5
Requires:       qtlocation-plugin-googlemaps

%description
subsurface is a simple dive log program written in C.

%prep
%setup -q -n Subsurface-%{version}

%build
%cmake \
  -DCMAKE_BUILD_TYPE=Release \
  -DUSE_LIBGIT23_API=1 \
  -DLIBDIVECOMPUTER_INCLUDE_DIR=%{_includedir} \
  -DGOOGLEMAPS_PLUGIN_PATH=%{_qt5_plugindir}/geoservices/libqtgeoservices_googlemaps.so

%cmake_build

%install
%cmake_install

%files
%doc README.md Documentation ReleaseNotes
%{_bindir}/subsurface
%{_bindir}/subsurface.debug
%{_datadir}/applications/subsurface.desktop
%{_datadir}/metainfo/subsurface.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/subsurface-icon.*


%changelog
* Wed Mar 22 2023 papoteur <papoteur> 5.0.10-2.mga9
+ Revision: 1950008
- rebuild without qtwebkit support, thus without printing feature

* Tue Oct 18 2022 guillomovitch <guillomovitch> 5.0.10-1.mga9
+ Revision: 1897436
- new version 5.0.10

* Thu Apr 07 2022 guillomovitch <guillomovitch> 5.0.8-1.mga9
+ Revision: 1847647
- new version 5.0.8

* Tue Apr 05 2022 umeabot <umeabot> 5.0.3-3.mga9
+ Revision: 1845347
- Mageia 9 Mass Rebuild

* Mon Jan 03 2022 wally <wally> 5.0.3-2.mga9
+ Revision: 1766332
- rebuild for libgit2 1.3.0

* Mon Aug 23 2021 guillomovitch <guillomovitch> 5.0.3-1.mga9
+ Revision: 1742394
- new version 5.0.3

* Sun Apr 04 2021 guillomovitch <guillomovitch> 5.0.1-1.mga9
+ Revision: 1713245
- new version 5.0.1

* Wed Dec 30 2020 luigiwalser <luigiwalser> 4.9.10-3.mga8
+ Revision: 1666242
- rebuild for libgit2

* Thu Dec 17 2020 umeabot <umeabot> 4.9.10-2.mga8
+ Revision: 1659929
- Rebuild for new Qt5

* Wed Nov 25 2020 guillomovitch <guillomovitch> 4.9.10-1.mga8
+ Revision: 1649325
- new version 4.9.10

* Mon Nov 23 2020 guillomovitch <guillomovitch> 4.9.9-1.mga8
+ Revision: 1648717
- new version 4.9.9

* Fri Jul 24 2020 daviddavid <daviddavid> 4.9.6-1.mga8
+ Revision: 1608745
- new version: 4.9.6
- rebuild for new libgit2 1.0.1

* Sat May 16 2020 guillomovitch <guillomovitch> 4.9.4-1.mga8
+ Revision: 1584754
- new version 4.9.4

* Sun Feb 16 2020 umeabot <umeabot> 4.9.3-2.mga8
+ Revision: 1534711
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Oct 06 2019 guillomovitch <guillomovitch> 4.9.3-1.mga8
+ Revision: 1449848
- new version 4.9.3

* Fri Aug 16 2019 guillomovitch <guillomovitch> 4.9.1-1.mga8
+ Revision: 1429398
- new version 4.9.1

* Fri May 17 2019 guillomovitch <guillomovitch> 4.8.6-1.mga7
+ Revision: 1398201
- new version 4.8.6

* Sat Apr 20 2019 wally <wally> 4.8.5-3.mga7
+ Revision: 1393753
- rebuild for libgit2 0.28.1

* Tue Apr 02 2019 umeabot <umeabot> 4.8.5-2.mga7
+ Revision: 1384918
- Qt5 Rebuild

* Wed Feb 20 2019 guillomovitch <guillomovitch> 4.8.5-1.mga7
+ Revision: 1369011
- new version 4.8.5

* Sat Oct 06 2018 guillomovitch <guillomovitch> 4.8.3-1.mga7
+ Revision: 1318274
- new version 4.8.3
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 guillomovitch <guillomovitch> 4.7.8-2.mga7
+ Revision: 1237153
- fix build and usage with Qt 5.11

* Mon May 14 2018 guillomovitch <guillomovitch> 4.7.8-1.mga7
+ Revision: 1229203
- new version 4.7.8

* Tue Mar 27 2018 kekepower <kekepower> 4.7.7-2.mga7
+ Revision: 1212807
- Rebuild for new libgit2

* Wed Feb 28 2018 guillomovitch <guillomovitch> 4.7.7-1.mga7
+ Revision: 1205630
- new version 4.7.7

* Mon Jan 01 2018 guillomovitch <guillomovitch> 4.7.6-3.mga7
+ Revision: 1188838
- fix qtpositioning5 dependency

* Sun Dec 31 2017 guillomovitch <guillomovitch> 4.7.6-2.mga7
+ Revision: 1188288
- use cmake arguments instead of patch to find libdivecomputer headers
- add missing dependencies for map display

* Sat Dec 30 2017 wally <wally> 4.7.6-1.mga7
+ Revision: 1188099
- new version 4.7.6
- add patch to fix 'libdivecomputer not found' build error
- rebuild for new libzip

* Mon Oct 02 2017 guillomovitch <guillomovitch> 4.6.4-1.mga7
+ Revision: 1163109
- new version 4.6.4

* Wed Mar 29 2017 akien <akien> 4.4.2-11.mga6
+ Revision: 1095210
- Rebuild for libgit2 0.25.0

* Thu Dec 15 2016 daviddavid <daviddavid> 4.4.2-10.mga6
+ Revision: 1075346
- add patch to fix build against marble >= 16.12
- rebuild for marble 16.11.90

* Wed Sep 07 2016 daviddavid <daviddavid> 4.4.2-9.mga6
+ Revision: 1050341
- rebuild for marble 16.08.0

* Fri Jul 15 2016 daviddavid <daviddavid> 4.4.2-8.mga6
+ Revision: 1042228
- fix build dependency as marble-qt5 was merged into the main marble package

* Thu Apr 28 2016 daviddavid <daviddavid> 4.4.2-7.mga6
+ Revision: 1007347
- rebuild for marble 16.04.0

* Fri Apr 01 2016 daviddavid <daviddavid> 4.4.2-6.mga6
+ Revision: 997484
- rebuild for new libgit2 0.24.0

* Wed Feb 17 2016 umeabot <umeabot> 4.4.2-5.mga6
+ Revision: 962957
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 daviddavid <daviddavid> 4.4.2-4.mga6
+ Revision: 904204
- rebuild for new libzip 1.0.1

* Wed Aug 12 2015 guillomovitch <guillomovitch> 4.4.2-3.mga6
+ Revision: 864077
- fix build with libgit 2.3
+ wally <wally>
- rebuild for new libgit2

* Mon Jul 06 2015 guillomovitch <guillomovitch> 4.4.2-1.mga6
+ Revision: 852170
- new version
+ tv <tv>
- rebuild for new libgit2

* Fri Jan 02 2015 guillomovitch <guillomovitch> 4.3-1.mga5
+ Revision: 808175
- new version

* Wed Oct 15 2014 umeabot <umeabot> 4.2-3.mga5
+ Revision: 746086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2-2.mga5
+ Revision: 689572
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 guillomovitch <guillomovitch> 4.2-1.mga5
+ Revision: 665796
- new version 4.2

* Wed Jul 30 2014 fwang <fwang> 4.1-3.mga5
+ Revision: 658119
- rebuild for new marble

* Tue Jul 01 2014 guillomovitch <guillomovitch> 4.1-2.mga5
+ Revision: 641761
- rebuild for new libgit

* Thu May 29 2014 guillomovitch <guillomovitch> 4.1-1.mga5
+ Revision: 627703
- new version 4.1

* Wed Mar 19 2014 fwang <fwang> 4.0.3-2.mga5
+ Revision: 605522
- rebuild for new marble

* Sun Feb 23 2014 guillomovitch <guillomovitch> 4.0.3-1.mga5
+ Revision: 596071
- new version 4.0.3

* Tue Feb 04 2014 guillomovitch <guillomovitch> 4.0.2-1.mga5
+ Revision: 580532
- new version 4.0.2
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Jul 04 2013 guillomovitch <guillomovitch> 3.1.1-1.mga4
+ Revision: 450266
- new version

* Thu May 23 2013 guillomovitch <guillomovitch> 3.1-1.mga4
+ Revision: 424807
- new version

* Sat Mar 09 2013 guillomovitch <guillomovitch> 3.0.2-2.mga3
+ Revision: 402003
- add missing osm-gps-map-devel build dependency

* Tue Mar 05 2013 guillomovitch <guillomovitch> 3.0.2-1.mga3
+ Revision: 401452
- new version

* Sat Mar 02 2013 guillomovitch <guillomovitch> 3.0.1-1.mga3
+ Revision: 401093
- new version

* Sat Feb 23 2013 guillomovitch <guillomovitch> 3.0-1.mga3
+ Revision: 400091
- new version

* Mon Jan 14 2013 umeabot <umeabot> 2.1-2.mga3
+ Revision: 383573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 guillomovitch <guillomovitch> 2.1-1.mga3
+ Revision: 310580
- new version
- imported package subsurface


* Sun Feb 26 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1.mga2
- first mageia release
